% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lidar_analysis.R
\name{lidar_segmentation_based_filter}
\alias{lidar_segmentation_based_filter}
\title{Lidar segmentation based filter}
\usage{
lidar_segmentation_based_filter(input, output, radius = 5,
  norm_diff = 2, maxzdiff = 1, classify = FALSE,
  verbose_mode = FALSE)
}
\arguments{
\item{input}{Input LiDAR file.}

\item{output}{Output file.}

\item{radius}{Search Radius.}

\item{norm_diff}{Maximum difference in normal vectors, in degrees.}

\item{maxzdiff}{Maximum difference in elevation (z units) between neighbouring points of the same segment.}

\item{classify}{Classify points as ground (2) or off-ground (1).}

\item{verbose_mode}{Sets verbose mode. If verbose mode is False, tools will not print output messages.}
}
\value{
Returns the tool text outputs.
}
\description{
Identifies ground points within LiDAR point clouds using a segmentation based approach.
}
